var openNavCont = 0;      /* Variabile per differenziare la navbar aperta e chiusa */
var img = document.getElementById("headerBtn");     /* Assegno tutte le informazioni della navbar ad una variabile così da non dover ottenerle sempre */

function openNav()      /* Funzione per aprire e chiudere la navbar */
{
  document.getElementById("nav").style.height= "100%";      /*  Modifico l'altezza della navbar prima della funzione in se, in modo che se si passi da dimensioni mobile (450px) a dimensioni monitor non sia necessario ricaricare la pagina */

    if(openNavCont == 0)      /* Se la variabile "openNavCont" = 0 significa che la navbar è chiusa */  
    {
        document.getElementById("nav").style.width = "20%";     /* Aumento larghezza della navbar */
        document.getElementById("main").style.marginLeft = "20%";     /* Sposto il margine della pagina così da non essere sovrapposta alla pagina */
        document.getElementById("main").style.width = "80%";      /* Modifico la larghezza della pagina in modo di centrarla quando il margine viene spostato */
        
        var img = document.getElementById("headerBtn");     /* Richiamo un animazione CSS solo quando viene attivato il JavaScript */
        img.classList.add("rotate-animation");
        img.classList.remove("rotate-animation");
        setTimeout(function()
        {
            img.classList.add("rotate-animation");
        }, 10);
        document.getElementById("headerBtn").addEventListener("animationend", function()
        {
            this.classList.remove("rotate-animation");
        });
        openNavCont = 1;      /* Viene modificata la variabile "openNavCont" così da impostare la navbar nello stato "aperta" */
    }
    else if(openNavCont == 1)      /* Se la variabile "openNavCont" = 1 significa che la navbar è aperta */
    {
        document.getElementById("nav").style.width = "0";       /* Reimposto i valori predefiniti della navbar chiusa*/
        document.getElementById("main").style.marginLeft = "0";
        document.getElementById("main").style.width = "100%";

        var img = document.getElementById("headerBtn");     /* Richiamo un animazione CSS solo quando viene attivato il JavaScript */
        img.classList.add("rotate-animation-reverse");
        img.classList.remove("rotate-animation-reverse");
        setTimeout(function()
        {
            img.classList.add("rotate-animation-reverse");
        }, 10);
        document.getElementById("headerBtn").addEventListener("animationend", function()
        {
            this.classList.remove("rotate-animation-reverse");
        });
        openNavCont = 0;   /* Viene modificata la variabile "openNavCont" così da impostare la navbar nello stato "chiusa" */
    }
}





function openNavMobile()      /* Funzione per aprire e chiudere la navbar attivabile solo quando lo schermo ha una larghezza inferiore a 450px, la differenza è il modo in cui si apre, dall'alto al basso comprendo l'intera pagina */
{
  document.getElementById("main").style.marginLeft = "0";     /* Modifico il margine della pagina in modo che se la navbar rimane aperta durante la riduziione del main, all'attivazione della funzione torni normale */
  document.getElementById("main").style.width = "100%";     /* Modifico la dimensione della pagina in modo che se la navbar rimane aperta durante la riduziione del main, all'attivazione della funzione torni normale */
  document.getElementById("nav").style.width= "100%";      /*  Modifico la larghezza della navbar prima della funzione in se, in modo che se si passi da dimensioni monitor a dimensioni mobile (450px) non sia necessario ricaricare la pagina */
    if(openNavCont == 0)      /* Se la variabile "openNavCont" = 0 significa che la navbar è chiusa */
    {
        document.getElementById("nav").style.height = "100%"; /* Aumento l'altezza della navbar in modo che copra tutta la pagina */
        
        var img = document.getElementById("headerBtnMobile");     /* Richiamo un animazione CSS solo quando viene attivato il JavaScript */
        img.classList.add("rotate-animation");
        img.classList.remove("rotate-animation");
        setTimeout(function()
        {
            img.classList.add("rotate-animation");
        }, 10);
        document.getElementById("headerBtnMobile").addEventListener("animationend", function()
        {
            this.classList.remove("rotate-animation");
        });
        openNavCont = 1;       /* Viene modificata la variabile "openNavCont" così da impostare la navbar nello stato "aperta" */
    }
    else if(openNavCont == 1)      /* Se la variabile "openNavCont" = 1 significa che la navbar è aperta */
    {
        document.getElementById("nav").style.height = "0";      /* Reimposto i valori predefiniti della navbar chiusa*/

        var img = document.getElementById("headerBtnMobile");     /* Richiamo un animazione CSS solo quando viene attivato il JavaScript */
        img.classList.add("rotate-animation-reverse");
        img.classList.remove("rotate-animation-reverse");
        setTimeout(function()
        {
            img.classList.add("rotate-animation-reverse");
        }, 10);
        document.getElementById("headerBtnMobile").addEventListener("animationend", function()
        {
            this.classList.remove("rotate-animation-reverse");
        });
        openNavCont = 0;      /* Viene modificata la variabile "openNavCont" così da impostare la navbar nello stato "chiusa" */
    }
}


var sliderCont = 0;     /* Variabile per differenziare quale delle immagini nello slider è visibile al momento */ 

function sliderLeft()     /* Funzione del pulsane che sfoglia le immagini verso sinistra */
{

  if(sliderCont == 0)     /* Se la variabile "sliderCont" = 0 significa che lo slider si trova attualmente sulla prima immagine */
  {
    document.getElementById("mySlides1").style.opacity = 0;     /* Imposta l'opacità dell'immagine corrente al massimo */
    document.getElementById("mySlides4").style.opacity = 1;     /* Imposta l'opacità dell'immagine a sinistra al minimo */
    sliderCont = 3;     /* Lo stato viene impostato sulla quarta immagine */
  }
  else if(sliderCont == 3)       /* Se la variabile "sliderCont" = 3 significa che lo slider si trova attualmente sulla quarta immagine */
  {
    document.getElementById("mySlides4").style.opacity = 0;     /* Imposta l'opacità dell'immagine corrente al massimo */
    document.getElementById("mySlides3").style.opacity = 1;     /* Imposta l'opacità dell'immagine a sinistra al minimo */
    sliderCont = 2;     /* Lo stato viene impostato sulla terza immagine */
  }
  else if(sliderCont == 2)       /* Se la variabile "sliderCont" = 2 significa che lo slider si trova attualmente sulla terza immagine */
  {
    document.getElementById("mySlides3").style.opacity = 0;     /* Imposta l'opacità dell'immagine corrente al massimo */
    document.getElementById("mySlides2").style.opacity = 1;     /* Imposta l'opacità dell'immagine a sinistra al minimo */
    sliderCont = 1;     /* Lo stato viene impostato sulla seconda immagine */
  }
  else if(sliderCont == 1)       /* Se la variabile "sliderCont" = 1 significa che lo slider si trova attualmente sulla seconda immagine */
  {
    document.getElementById("mySlides2").style.opacity = 0;      /* Imposta l'opacità dell'immagine corrente al massimo */
    document.getElementById("mySlides1").style.opacity = 1;     /* Imposta l'opacità dell'immagine a sinistra al minimo */
    sliderCont = 0;     /* Lo stato viene impostato sulla prima immagine */
  }
}

function sliderRight()      /* Funzione del pulsane che sfoglia le immagini verso destra */
{
  if(sliderCont == 0)      /* Se la variabile "sliderCont" = 0 significa che lo slider si trova attualmente sulla prima immagine */
  {
    document.getElementById("mySlides1").style.opacity = 0;     /* Imposta l'opacità dell'immagine corrente al massimo */
    document.getElementById("mySlides2").style.opacity = 1;     /* Imposta l'opacità dell'immagine a destra al minimo */
    sliderCont = 1;     /* Lo stato viene impostato sulla seconda immagine */
  }
  else if(sliderCont == 1)       /* Se la variabile "sliderCont" = 0 significa che lo slider si trova attualmente sulla prima immagine */
  {
    document.getElementById("mySlides2").style.opacity = 0;     /* Imposta l'opacità dell'immagine corrente al massimo */
    document.getElementById("mySlides3").style.opacity = 1;     /* Imposta l'opacità dell'immagine a destra al minimo */
    sliderCont = 2;     /* Lo stato viene impostato sulla terza immagine */
  }
  else if(sliderCont == 2)      /* Se la variabile "sliderCont" = 0 significa che lo slider si trova attualmente sulla prima immagine */
  {
    document.getElementById("mySlides3").style.opacity = 0;     /* Imposta l'opacità dell'immagine corrente al massimo */
    document.getElementById("mySlides4").style.opacity = 1;     /* Imposta l'opacità dell'immagine a destra al minimo */
    sliderCont = 3;     /* Lo stato viene impostato sulla quarta immagine */
  }
  else if(sliderCont == 3)      /* Se la variabile "sliderCont" = 0 significa che lo slider si trova attualmente sulla prima immagine */
  {
    document.getElementById("mySlides4").style.opacity = 0;     /* Imposta l'opacità dell'immagine corrente al massimo */
    document.getElementById("mySlides1").style.opacity = 1;     /* Imposta l'opacità dell'immagine a destra al minimo */
    sliderCont = 0;     /* Lo stato viene impostato sulla prima immagine */
  }
}


for (let i = 1; i < 100; i++)     /* Ciclo con il quale le immagini dello slider scorrono automaticamente */
{
  setTimeout(function timer() {     /* Funzione per introdurre un delay */
    sliderRight();      /* Funzione per sfogliare lo slider verso destra */
  }, i * 10000);      /* Ritardo di 10000ms = 10s */
}